imagecolorstotal
imageconvolution
GD Functions
PHP Manual

# imagecolortransparent

(PHP 4, PHP 5)

imagecolortransparent — Define a color as transparent

### Description

int imagecolortransparent ( resource `$image` [, int `$color` ] )

Sets the transparent color in the given `image` .

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`color`

  A color identifier created with imagecolorallocate()

### Return Values

The identifier of the new (or current, if none is specified) transparent color is returned.

### Notes

> Note: Transparency is copied only with imagecopymerge() and true color images, not with imagecopy() or pallete images.

> Note: The transparent color is a property of the image, transparency is not a property of the color. Once you have set a color to be the transparent color, any regions of the image in that color that were drawn previously will be transparent.

imagecolorstotal
imageconvolution
GD Functions
PHP Manual